## liqflow 0.1.0

=== Makefile ===
PROG = liqflow

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = liqflow_cover.o liqflow_run.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/liqflow
			 install -d								 $(PREFIX)/share/liqbase/liqflow/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/liqflow/media
			 
			 install -m 0755 liqflow			  $(PREFIX)/share/liqbase/liqflow
			 install -m 0755 liqflow.so		  $(PREFIX)/share/liqbase/liqflow
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/liqflow/media
			 
			 install -m 0755 base_fs/usr/bin/liqflow-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/liqflow.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.liqflow.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/liqflow.conf				$(ETCDIR)/osso-backup/applications

=== debian/changelog ===
liqflow (0.1.0) unstable; urgency=low

  * liqflow Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Wed, 21 Oct 2009 23:07:38 +0000

## liqflow 0.1.1

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,22 @@
 			 
 			 mkdir -p									$(PREFIX)/share/liqbase
 			 mkdir -p									$(PREFIX)/share/liqbase/liqflow/media
+
+	mkdir -p															$(PREFIX)
+	mkdir -p															$(PREFIX)/share
+	mkdir -p															$(PREFIX)/share/icons
+	mkdir -p															$(PREFIX)/share/icons/hicolor
+	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable
+	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable/apps
+	mkdir -p															$(PREFIX)/share/icons/hicolor/26x26
+	mkdir -p															$(PREFIX)/share/icons/hicolor/26x26/apps
+	mkdir -p															$(PREFIX)/share/icons/hicolor/48x48
+	mkdir -p															$(PREFIX)/share/icons/hicolor/48x48/apps
+
+	install -m 0755  base_fs/usr/share/icons/hicolor/26x26/apps/liqflow.png 				$(PREFIX)/share/icons/hicolor/26x26/apps/liqflow.png
+	install -m 0755  base_fs/usr/share/icons/hicolor/48x48/apps/liqflow.png 				$(PREFIX)/share/icons/hicolor/48x48/apps/liqflow.png
+	install -m 0755  base_fs/usr/share/icons/hicolor/scalable/apps/liqflow.png 				$(PREFIX)/share/icons/hicolor/scalable/apps/liqflow.png
+
 			 
 			 install -m 0755 liqflow			  $(PREFIX)/share/liqbase/liqflow
 			 install -m 0755 liqflow.so		  $(PREFIX)/share/liqbase/liqflow

=== debian/changelog ===
liqflow (0.1.1) unstable; urgency=low

  * removed rocket, added icon

 -- Gary Birkett <liquid@gmail.com>  Sat, 31 Oct 2009 10:07:38 +0000

=== debian/control ===
Source: liqflow
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.45)
Standards-Version: 3.7.2

Package: liqflow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.45)
Description: finger friendly fluid dynamics with accelerometer control
 finger friendly fluid dynamics with accelerometer rainfall effect

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqflow install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## liqflow 0.1.6

=== debian/changelog ===
liqflow (0.1.6) unstable; urgency=low

  * build tweaks x3 sigh

 -- Gary Birkett <liquid@gmail.com>  Tue, 07 Sept 2010 21:10:38 +0000

liqflow (0.1.5) unstable; urgency=low

  * build tweaks x2

 -- Gary Birkett <liquid@gmail.com>  Tue, 07 Sept 2010 21:09:38 +0000

liqflow (0.1.4) unstable; urgency=low

  * build tweaks

 -- Gary Birkett <liquid@gmail.com>  Tue, 07 Sept 2010 21:07:38 +0000

liqflow (0.1.3) unstable; urgency=low

  * livewp removed the hack for overlay pusing inside livewp code

 -- Gary Birkett <liquid@gmail.com>  Tue, 07 Sept 2010 21:07:38 +0000

liqflow (0.1.2) unstable; urgency=low

  * livewp tweaks (other changes pending configuration)

 -- Gary Birkett <liquid@gmail.com>  Tue, 07 Sept 2010 10:07:38 +0000

=== debian/control ===
Source: liqflow
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.45), libdbus-glib-1-dev (>= 0.78)
Standards-Version: 3.7.2

Package: liqflow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.61) , libdbus-glib-1-2 (>= 0.78)
Description: Graphics Demo: touchscreen fluid dynamics
 Graphics Demo: touchscreen fluid dynamics with accelerometer assist

## liqflow 0.1.7

=== debian/changelog ===
liqflow (0.1.7) unstable; urgency=low

  * added bugtracker link for extras testing

 -- Gary Birkett <liquid@gmail.com>  Tue, 07 Sept 2010 21:10:38 +0000
 

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,6 @@
 Package: liqflow
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.61) , libdbus-glib-1-2 (>= 0.78)
+XSBC-Bugtracker: http://github.com/lcuk/liqbase-playground/issues
 Description: Graphics Demo: touchscreen fluid dynamics
  Graphics Demo: touchscreen fluid dynamics with accelerometer assist

## liqflow 0.1.8

=== debian/changelog ===
liqflow (0.1.8) unstable; urgency=low

  * update due to changes in library

 -- Gary Birkett <liquid@gmail.com>  Sat, 11 Dec 2010 00:09:10 +0000
 

## liqflow 0.1.9

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 cc = gcc
 LD = gcc
 OPT_FLAGS = -O3
-CFLAGS		= 
-LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
+CFLAGS		= -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
+LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic -ldbus-1
 RM			 = /bin/rm -f
-OBJSCORE	 = liqflow_cover.o liqflow_run.o
+OBJSCORE	 = liqflow_cover.o liqflow_run.o liqflow_config.o
 OBJS		  = $(OBJSCORE) $(PROG).o
 
 .PHONY:	  clean distclean

=== debian/changelog ===
liqflow (0.1.9) unstable; urgency=low

  * eek, left some testing stuff in

 -- Gary Birkett <liquid@gmail.com>  Fri, 17 Dec 2010 23:09:10 +0000
 

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: liqflow
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.61) , libdbus-glib-1-2 (>= 0.78)
+Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.63) , libdbus-glib-1-2 (>= 0.78)
 XSBC-Bugtracker: http://github.com/lcuk/liqbase-playground/issues
 Description: Graphics Demo: touchscreen fluid dynamics
  Graphics Demo: touchscreen fluid dynamics with accelerometer assist
